$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.145.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.145.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '2ACE3ADF162165B5E0687331F4F62260342A5CF2DA43B6145CFED82498CE2326'
  checksumType = 'sha256'
  checksum64 = '2ACE3ADF162165B5E0687331F4F62260342A5CF2DA43B6145CFED82498CE2326'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.145-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
